using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media;
using System.Collections.ObjectModel;
using HelloXaml.Models;

namespace HelloXaml;

public sealed partial class MainWindow : Window
{
    /*private ObservableCollection<FileEntry> Files { get; set; } = new();
    private DraftEntry currentEntry = new();

    public MainWindow()
    {
        InitializeComponent();

        filesListed.ItemsSource = Files;
    }

    private void myButton_Click(object sender, RoutedEventArgs e)
    {
        //myButton.Content = "Clicked";
    }

    private void work_Click(object sender, RoutedEventArgs e) {
        //btnText.Text = "Clicked";
    }

    private void AddNewFile(object sender, RoutedEventArgs e) {
        Files.Add(new FileEntry(inNewFilePath.Text, true));
    }

    private void Save_Click(object sender, RoutedEventArgs e) { 
        if (currentEntry == null) {
            currentEntry = new DraftEntry();
        }
        currentEntry.SaveFile(Files, this);

        Files.Clear();
        currentEntry = new DraftEntry();
    }*/

    private string data="";

    public MainWindow() {
        InitializeComponent();
    }

    private void Btn1Click(object sender, RoutedEventArgs e) {
        t2.IsEnabled = !(data == "");
    }
}
